package api

import (
	"fmt"

	"github.com/energye/energy/v2/cef"
	"github.com/energye/energy/v2/cef/ipc"
	"github.com/energye/energy/v2/consts"
	"github.com/energye/golcl/lcl"
)

func RegDrag(event *cef.BrowserEvent) {
	event.SetOnDragEnter(func(sender lcl.IObject, browser *cef.ICefBrowser, dragData *cef.ICefDragData, mask consts.TCefDragOperations, window cef.IBrowserWindow, result *bool) {
		if mask&consts.DRAG_OPERATION_LINK == consts.DRAG_OPERATION_LINK {
			fmt.Println("SetOnDragEnter", mask&consts.DRAG_OPERATION_LINK, dragData.IsLink(), dragData.IsFile(), "GetFileName:", dragData.GetFileName(), "GetFileNames:", dragData.GetFileNames())
			ipc.Emit("OnDragEnter", dragData.GetFileNames())
			*result = false
		} else {
			*result = true
		}
	})
}
