package api

type OutFile struct {
	Fpath    string
	CreateAt int64
	Size     int64
}

type OrderedOutFile []OutFile

func (a OrderedOutFile) Len() int           { return len(a) }
func (a OrderedOutFile) Less(i, j int) bool { return a[i].Size > a[j].Size }
func (a OrderedOutFile) Swap(i, j int)      { a[i], a[j] = a[j], a[i] }

type ImageMeta struct {
	Width  int
	Height int
	Size   int64
}