package api

import (
	"fmt"
	"launcher/socket"

	"github.com/energye/energy/v2/cef"
	"github.com/energye/energy/v2/cef/ipc"
)

var socketPort = 0

func RegSocket(event *cef.BrowserEvent, window cef.IBrowserWindow, bw *cef.LCLBrowserWindow) {
	ipc.On("GetSocketUri", func() string {
		return fmt.Sprintf("ws://localhost:%d/ws", socketPort)
	})
}

func StartWebSock() error {
	p, e := GetFreePort()
	if e != nil {
		return e
	}
	socketPort = p
	socket.StartSocket(p)
	return nil
}
