package utils

import (
	"fmt"
	"os"
	"strconv"
	"time"
)

func KillProc2(pid string, socket string) error {
	//todo优雅关闭当前执行的程序而不是kill

	//通过socket 关闭
	if len(socket) > 0 {
		p, _ := strconv.Atoi(socket)
		fmt.Println("socket kill=>", p)
		err := NotifyQuit(p)
		if err == nil {
			return nil
		}
	}

	p, _ := strconv.Atoi(pid)
	fmt.Println("kill procc=>", p)

	return KillProc(p)
}

func KillProc(pid int) error {
	//todo优雅关闭当前执行的程序而不是kill
	//p, _ := strconv.Atoi(string(d))
	p := pid
	if p > 0 {
		proc, er := os.FindProcess(p)
		if er != nil {
			fmt.Println("find process fail", p, er)
			return er
		}
		err := proc.Kill()
		fmt.Println("killed pid=>", p, err)
		time.Sleep(time.Microsecond * 200)
		return err
	}
	return nil
}
